%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define libxml2_version 2.5.11
%define orbit2_version 2.8.1
# for bonobo-activation
%define glib2_version 2.2.3
%define linc_version @linc_version@

Summary: 	Bonobo component system and Activation framework
Name: 		libbonobo
Version: 	2.4.0
Release: 	1
URL: 		http://ftp.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		libbonobo-2.4.0-aix.patch
Patch1:		libbonobo-2.4.0-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries System Environment/Daemons
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildPreReq: libxml2-devel >= %{libxml2_version}
BuildPreReq: ORBit2-devel >= %{orbit2_version}
BuildPreReq: intltool >= %{intltool_version}
# for bonobo-activation
BuildPreReq: glib2-devel >= %{glib2_version}
BuildPreReq: flex
Obsoletes:   bonobo-activation

%description

Bonobo is a component system based on CORBA, used by the GNOME desktop.

bonobo-activation is a framework for object activation. That is, it
allows programs to obtain references to Bonobo components.
bonobo-activation launches or loads components and makes them available
to clients.

%package devel
Summary: 	Libraries and headers for libbonobo and bonobo-activation
Group: 		Development/Libraries
Requires:	%name = %{version}
Requires:  	ORBit2-devel >= %{orbit2_version}
Requires:  	libxml2-devel >= %{libxml2_version}
# for bonobo-activation
Requires:       glib2-devel >= %{glib2_version}
Obsoletes:	bonobo-activation-devel

%description devel

Bonobo is a component system based on CORBA, used by the GNOME desktop.

bonobo-activation is a framework for object activation. That is, it
allows programs to obtain references to Bonobo components.
bonobo-activation launches or loads components and makes them available
to clients.

This package contains header files used to compile programs that 
use Bonobo and bonobo-activation.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libbonobo-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libbonobo-2.4.0-autotools.patch


%build
# CPPFLAGS="-I%{_includedir}" PATH=%{_bindir}:$PATH 
# ./configure --prefix=%{_prefix} --disable-gtk-doc
# make
# for bonobo-activation
CPPFLAGS="-I%{_includedir}" LDFLAGS="-L%{_libdir}" \
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix} --disable-gtk-doc
G_CHARSET_ALIAS=%{_libdir}/charset.alias PATH=%{_bindir}:$PATH make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
# make DESTDIR=%{buildroot} install-strip
PATH=%{_bindir}:$PATH make DESTDIR=%{buildroot} install-strip

# make links
cd %{buildroot}
# for bonobo-activation add directory bin
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files
%defattr(-,root,system)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/lib*.a
/usr/lib/lib*.a
%{_libdir}/bonobo/servers
%{_libdir}/bonobo/monikers/*.a
%{_libdir}/orbit-2.0/*.a
%{_datadir}/locale/*/LC_MESSAGES/libbonobo-2.0.mo

# for bonobo-activation
# LC_MESSAGES/bonobo-activation.mo integrated in libbonobo-2.0.mo
# now installing bindir/* which may contain bonobo-echo and echo-client
%{_bindir}/*
/usr/bin/*
%{_prefix}/sbin/*
%{_libexecdir}/*
%dir %{_sysconfdir}/bonobo-activation
%config %{_sysconfdir}/bonobo-activation/*
%{_mandir}/man*/*

%files devel
%defattr(-,root,system)

%{_libdir}/pkgconfig/*
%{_libdir}/bonobo/monikers/lib*.la
%{_libdir}/*.la
%{_libdir}/orbit-2.0/*.la
%{_libdir}/bonobo-2.0
%{_includedir}/*
/usr/include/*
%{_datadir}/idl
# for bonobo-activation
%{_datadir}/gtk-doc
